Subject: Re: bug#11935: XINT etc. should be functions

From: Paul Eggert <[email-masked]>
Date: Mon, 16 Jul 2012 20:54:12 -0700

On 07/16/2012 08:04 PM, Eli Zaretskii wrote:
> Wouldn't this inline all the functions declared 'inline'?

No, only the functions defined after the macro.
<string.h> functions, for example, are unaffected.

> I think we need a facility for doing this
> only with a few functions that affect performance.

I considered that (with a macro "Inline"), but it'd complicate
maintenance.  I hope that the simpler approach is good enough.
If not, we can revisit this, and quite possibly if we do that
we'll do "Inline" or something like it.